# Empeiria Documentation

## Technical Documentation

- [Welcome to Empeiria](https://docs.empe.io/getting-started/readme.md)
- [Introduction](https://docs.empe.io/getting-started/intro.md)
- [Try the Live Demo](https://docs.empe.io/getting-started/quickstart.md)
- [Tutorial: Credential Issuance & Verification](https://docs.empe.io/getting-started/tutorial.md)
- [Overview](https://docs.empe.io/getting-started/tutorial/overview.md)
- [Understanding Key Concepts](https://docs.empe.io/getting-started/tutorial/understanding-concepts.md)
- [Project Setup](https://docs.empe.io/getting-started/tutorial/project-setup.md)
- [Authentication](https://docs.empe.io/getting-started/tutorial/authentication.md)
- [Creating DIDs and Registering Issuer & Verifier](https://docs.empe.io/getting-started/tutorial/creating-dids-and-issuer.md)
- [Deploying the Issuer](https://docs.empe.io/getting-started/tutorial/deploying-issuer.md)
- [Uploading the Credential Schema](https://docs.empe.io/getting-started/tutorial/uploading-schema.md)
- [Credential Formats & Selective Disclosure](https://docs.empe.io/getting-started/tutorial/credential-formats-and-selective-disclosure.md)
- [Issuing Credentials](https://docs.empe.io/getting-started/tutorial/issuing-credentials.md)
- [Frontend for Credential Issuance](https://docs.empe.io/getting-started/tutorial/frontend-issuance.md)
- [Testing Credential Issuance](https://docs.empe.io/getting-started/tutorial/testing-issuance.md)
- [Deploying the Verifier](https://docs.empe.io/getting-started/tutorial/deploying-verifier.md)
- [Setting Up the Verification Flow](https://docs.empe.io/getting-started/tutorial/verification-flow.md)
- [Creating a Verification Endpoint](https://docs.empe.io/getting-started/tutorial/verify-endpoint.md)
- [Creating a Protected Dashboard](https://docs.empe.io/getting-started/tutorial/dashboard.md)
- [Testing the Verification Flow](https://docs.empe.io/getting-started/tutorial/testing-verification.md)
- [Summary & Next Steps](https://docs.empe.io/getting-started/tutorial/summary.md)
- [EVDI Architecture](https://docs.empe.io/understand/intro.md)
- [Self-Sovereign Identity](https://docs.empe.io/understand/self-sovereign-identity.md)
- [Technical Foundations](https://docs.empe.io/understand/self-sovereign-identity/technical-foundations.md)
- [Roles in the SSI framework](https://docs.empe.io/understand/self-sovereign-identity/roles-in-the-ssi-framework.md)
- [One-click deployment](https://docs.empe.io/develop/intro.md)
- [Registration](https://docs.empe.io/develop/intro/registration.md)
- [Login](https://docs.empe.io/develop/intro/login.md)
- [Creating a Deployment](https://docs.empe.io/develop/intro/create_issuer.md)
- [Issuer Data Description](https://docs.empe.io/develop/intro/issuer_data.md)
- [Creating a Verifier](https://docs.empe.io/develop/intro/create_verifier.md)
- [Verifier Data Description](https://docs.empe.io/develop/intro/verifier_data.md)
- [Managing Credential Schemas](https://docs.empe.io/develop/intro/managing-schemas.md)
- [Issuing Credentials](https://docs.empe.io/develop/intro/issuing-credentials.md)
- [Verifying Credentials](https://docs.empe.io/develop/intro/verifying-credentials.md)
- [Authenticating to Your Deployment](https://docs.empe.io/develop/intro/authenticating-to-your-deployment.md)
- [Issuer](https://docs.empe.io/develop/issuer.md)
- [Terminology and Concepts](https://docs.empe.io/develop/issuer/terminology-and-concepts.md)
- [Issuers and Credential Configurations](https://docs.empe.io/develop/issuer/issuer-and-credential-configurations.md)
- [DID Document Management](https://docs.empe.io/develop/issuer/did-document-management.md)
- [Schema Management](https://docs.empe.io/develop/issuer/schema-management.md)
- [Issuing Credentials and Interacting With Wallets](https://docs.empe.io/develop/issuer/credential-issuance-flow.md)
- [Issuance Sessions](https://docs.empe.io/develop/issuer/issuance-sessions.md)
- [Direct Credential Signing](https://docs.empe.io/develop/issuer/direct-credential-signing.md)
- [Security Considerations](https://docs.empe.io/develop/issuer/security-considerations.md)
- [Error Handling and Troubleshooting](https://docs.empe.io/develop/issuer/error-handling-and-troubleshooting.md)
- [Future Enhancements](https://docs.empe.io/develop/issuer/future-enhancements.md)
- [References and Standards](https://docs.empe.io/develop/issuer/references-and-standards.md)
- [MCP Server Integration](https://docs.empe.io/develop/issuer/mcp-integration.md)
- [FAQ](https://docs.empe.io/develop/issuer/faq.md)
- [API Reference](https://docs.empe.io/develop/issuer/api-reference.md)
- [Token](https://docs.empe.io/develop/issuer/api-reference/token.md)
- [Schema](https://docs.empe.io/develop/issuer/api-reference/schema.md)
- [Offering](https://docs.empe.io/develop/issuer/api-reference/offering.md)
- [Metadata](https://docs.empe.io/develop/issuer/api-reference/metadata.md)
- [Credential](https://docs.empe.io/develop/issuer/api-reference/credential.md)
- [Blockchain](https://docs.empe.io/develop/issuer/api-reference/blockchain.md)
- [Authorization](https://docs.empe.io/develop/issuer/api-reference/authorization.md)
- [Verifier](https://docs.empe.io/develop/verifier.md)
- [Terminology and Concepts](https://docs.empe.io/develop/verifier/terminology-and-concepts.md)
- [Authentication](https://docs.empe.io/develop/verifier/authentication.md)
- [Architecture Overview](https://docs.empe.io/develop/verifier/architecture-overview.md)
- [Core Responsibilities](https://docs.empe.io/develop/verifier/core-responsibilities.md)
- [Query Language](https://docs.empe.io/develop/verifier/query-language.md)
- [Client Configuration](https://docs.empe.io/develop/verifier/client-configuration.md)
- [Frontend Integration](https://docs.empe.io/develop/verifier/frontend-integration.md)
- [Server-Side VP Queries](https://docs.empe.io/develop/verifier/server-side-vp-query.md)
- [Security Considerations](https://docs.empe.io/develop/verifier/security-considerations.md)
- [Error Handling and Troubleshooting](https://docs.empe.io/develop/verifier/error-handling-and-troubleshooting.md)
- [Future Enhancements](https://docs.empe.io/develop/verifier/future-enhancements.md)
- [References and Standards](https://docs.empe.io/develop/verifier/references-and-standards.md)
- [MCP Server Integration](https://docs.empe.io/develop/verifier/mcp-integration.md)
- [FAQ](https://docs.empe.io/develop/verifier/faq.md)
- [API Reference](https://docs.empe.io/develop/verifier/api-reference.md)
- [Authorization Requests](https://docs.empe.io/develop/verifier/api-reference/authorization-requests.md)
- [Verification Sessions](https://docs.empe.io/develop/verifier/api-reference/verification-sessions.md)
- [Verify Credential](https://docs.empe.io/develop/verifier/api-reference/verify-credential.md)
- [VP Query](https://docs.empe.io/develop/verifier/api-reference/vp-query.md)
- [QR Code](https://docs.empe.io/develop/verifier/api-reference/qr-code.md)
- [Authorization](https://docs.empe.io/develop/verifier/api-reference/authorization.md)
- [Wallet Server](https://docs.empe.io/develop/wallet-server.md)
- [Terminology and Concepts](https://docs.empe.io/develop/wallet-server/terminology-and-concepts.md)
- [Holders and Tenancy](https://docs.empe.io/develop/wallet-server/holders-and-tenancy.md)
- [Environment & Setup](https://docs.empe.io/develop/wallet-server/environment-and-setup.md)
- [DID Document Management](https://docs.empe.io/develop/wallet-server/did-document-management.md)
- [Credential Management](https://docs.empe.io/develop/wallet-server/credential-management.md)
- [Flows: Claim and Presentation](https://docs.empe.io/develop/wallet-server/flows-claim-and-presentation.md)
- [Processing URIs](https://docs.empe.io/develop/wallet-server/processing-uris.md)
- [did:web & Hosting](https://docs.empe.io/develop/wallet-server/did-web-and-hosting.md)
- [Security Considerations](https://docs.empe.io/develop/wallet-server/security-considerations.md)
- [Error Handling and Troubleshooting](https://docs.empe.io/develop/wallet-server/error-handling-and-troubleshooting.md)
- [Health & Ops](https://docs.empe.io/develop/wallet-server/health-and-ops.md)
- [MCP/AI Integration](https://docs.empe.io/develop/wallet-server/mcp-integration.md)
- [References and Standards](https://docs.empe.io/develop/wallet-server/references-and-standards.md)
- [FAQ](https://docs.empe.io/develop/wallet-server/faq.md)
- [API Reference](https://docs.empe.io/develop/wallet-server/api-reference.md)
- [DID Management](https://docs.empe.io/develop/wallet-server/api-reference/did-management.md)
- [Credential Management](https://docs.empe.io/develop/wallet-server/api-reference/credential-management.md)
- [Flow](https://docs.empe.io/develop/wallet-server/api-reference/flow.md)
- [Health](https://docs.empe.io/develop/wallet-server/api-reference/health.md)
- [Wallet Management](https://docs.empe.io/develop/wallet-server/api-reference/wallet-management.md)
- [Models](https://docs.empe.io/develop/wallet-server/api-reference/models.md)
- [Introduction to cosmwasm](https://docs.empe.io/develop/introduction_to_cosmwasm.md)
- [Protocols and Standards](https://docs.empe.io/develop/protocols-and-standards.md)
- [Glossary](https://docs.empe.io/appendix/glossary.md)
- [Overview](https://docs.empe.io/empe-blockchain/blockchain-intro.md)
- [Chain Architecture](https://docs.empe.io/empe-blockchain/blockchain-intro/intro.md)
- [Auth](https://docs.empe.io/empe-blockchain/blockchain-intro/intro/auth.md)
- [Authz](https://docs.empe.io/empe-blockchain/blockchain-intro/intro/authz.md)
- [Bank](https://docs.empe.io/empe-blockchain/blockchain-intro/intro/bank.md)
- [Distribution](https://docs.empe.io/empe-blockchain/blockchain-intro/intro/distribution.md)
- [Governance](https://docs.empe.io/empe-blockchain/blockchain-intro/intro/gov.md)
- [Staking](https://docs.empe.io/empe-blockchain/blockchain-intro/intro/staking.md)
- [IBC](https://docs.empe.io/empe-blockchain/blockchain-intro/intro/intro.md)
- [DidDoc](https://docs.empe.io/empe-blockchain/blockchain-intro/intro/diddoc.md)
- [Vesting](https://docs.empe.io/empe-blockchain/blockchain-intro/intro/vesting.md)
- [Minter](https://docs.empe.io/empe-blockchain/blockchain-intro/intro/minter.md)
- [Stablefee](https://docs.empe.io/empe-blockchain/blockchain-intro/intro/stablefee.md)
- [LinkedResources](https://docs.empe.io/empe-blockchain/blockchain-intro/intro/linkedresources.md)
- [Important links](https://docs.empe.io/empe-blockchain/blockchain-intro/important-link.md)
- [Empe DID Wallet](https://docs.empe.io/empe-blockchain/blockchain-intro/00_introduction.md)
- [Download and first launch](https://docs.empe.io/empe-blockchain/blockchain-intro/00_introduction/01_download_and_first_launch.md)
- [Create or import did](https://docs.empe.io/empe-blockchain/blockchain-intro/00_introduction/02_create_or_import_did.md)
- [Main screen overview](https://docs.empe.io/empe-blockchain/blockchain-intro/00_introduction/03_main_screen_overview.md)
- [How to claim credential from issuer](https://docs.empe.io/empe-blockchain/blockchain-intro/00_introduction/04_how_to_claim_credential_from_issuer.md)
- [How to use credential with verifier](https://docs.empe.io/empe-blockchain/blockchain-intro/00_introduction/05_how_to_use_credential_with_verifier.md)
- [Settings and other options](https://docs.empe.io/empe-blockchain/blockchain-intro/00_introduction/06_settings_and_other_options.md)
- [Validators Guide](https://docs.empe.io/empe-blockchain/overview.md)
- [New validator](https://docs.empe.io/empe-blockchain/overview/new-validator.md)
- [Hardware requirements](https://docs.empe.io/empe-blockchain/overview/hardware-requirements.md)
- [Required software installation](https://docs.empe.io/empe-blockchain/overview/required-software-installation.md)
- [Go installation](https://docs.empe.io/empe-blockchain/overview/go-installation.md)
- [Install prebuild binary](https://docs.empe.io/empe-blockchain/overview/install-prebuild-binary.md)
- [Install binary from source code (option B)](https://docs.empe.io/empe-blockchain/overview/install-binary-from-source-code-option-b.md)
- [Configure a node](https://docs.empe.io/empe-blockchain/overview/configure-a-node.md)
- [Cosmovisor setup](https://docs.empe.io/empe-blockchain/overview/cosmovisor-setup.md)
- [Install wasmvm](https://docs.empe.io/empe-blockchain/overview/install-wasmvm-library.md)
- [Sync with state-sync](https://docs.empe.io/empe-blockchain/overview/sync-with-state-sync.md)
- [Full state sync from archive snapshot](https://docs.empe.io/empe-blockchain/overview/full-state-sync-from-archive-snapshot.md)
- [Latest snapshot](https://docs.empe.io/empe-blockchain/overview/lite-snapshot.md)
- [Run a Validator](https://docs.empe.io/empe-blockchain/overview/run-a-validator.md)
- [Migration to v0.2.2](https://docs.empe.io/empe-blockchain/overview/migration-to-v0.2.2.md)
- [Migration to v0.3.0](https://docs.empe.io/empe-blockchain/overview/migration-to-v0.3.0.md)
- [Migration to v0.4.0](https://docs.empe.io/empe-blockchain/overview/migration-to-v0.4.0.md)
- [How to Connect Keplr Wallet](https://docs.empe.io/empe-blockchain/overview/keplr.md)
- [Voting on Governance Proposals Guide](https://docs.empe.io/empe-blockchain/overview/vote.md)
- [FAQ](https://docs.empe.io/empe-blockchain/overview/faq.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
This site has an agentic ask interface you may use to query the documentation dynamically by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.empe.io/index.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.
